﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Interactivity;
using Abt.Controls.SciChart.Example.Helpers;

namespace Abt.Controls.SciChart.Example.SilverlightSpecific
{
    public class BindableSelectedIndexTabControlBehavior: Behavior<TabControl>
    {
        public static DependencyProperty SelectedIndexProperty = DependencyProperty.Register("SelectedIndex",
                                                                                             typeof (int),
                                                                                             typeof (
                                                                                                 BindableSelectedIndexTabControlBehavior
                                                                                                 ),
                                                                                             new PropertyMetadata(
                                                                                                 OnSelectedIndexChanged));

        public int SelectedIndex
        {
            get { return (int)GetValue(SelectedIndexProperty); }
            set { SetValue(SelectedIndexProperty, value); }
        }

        public int TabIndex
        {
            get;
            set;
        }

        private static void OnSelectedIndexChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            var behavior = (BindableSelectedIndexTabControlBehavior)d;

            behavior.AssociatedObject.SelectedIndex = behavior.TabIndex;
        }
    }
}
