// *************************************************************************************
// SCICHART  Copyright ABT Software Services Ltd. 2011-2012. All rights reserved.
//  
// Web: http://www.scichart.com
// Support: info@abtsoftware.co.uk
//  
// DateRangeToDateStringConverter.cs is part of SciChart Examples, a High Performance WPF & Silverlight Chart. 
// For full terms and conditions of the SciChart license, see http://www.scichart.com/scichart-eula/
//  
// SciChart Examples source code is provided free of charge on an "As-Is" basis to support
// and provide examples of how to use the SciChart component. You bear the risk of using it. 
// The authors give no express warranties, guarantees or conditions. You may have additional 
// consumer rights under your local laws which this license cannot change. To the extent 
// permitted under your local laws, the contributors exclude the implied warranties of 
// merchantability, fitness for a particular purpose and non-infringement. 
// *************************************************************************************
using System;
using System.Globalization;
using System.Windows.Data;

namespace Abt.Controls.SciChart.Example.Common
{
    public class DateRangeToDateStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null) return "DateRangeToDateStringConverter: Value is Null";
            if (string.IsNullOrEmpty(parameter as string)) return "DateRangeToDateStringConverter: Parameter is Null. Expected Min or Max";

            string[] args = ((string) parameter).Split(',');

            DateTime dateTime;

            if (args[0].ToUpper(CultureInfo.InvariantCulture) == "MIN")
                dateTime = ((DateRange) value).Min;
            else
                dateTime = ((DateRange) value).Max;

            return dateTime.ToString(args[1], culture);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return DateTime.Parse((string) value, culture);
        }
    }
}