﻿using System;
using System.Globalization;
using System.Text;
using System.Windows.Data;

namespace Abt.Controls.SciChart.Example.Common
{
    public class FeatureToImagePathConverter: IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
                return "";

            var feature = (Features) value;

            var str = new StringBuilder("/Abt.Controls.SciChart.Example;component/Resources/Images/FeatureIcons/");

            switch(feature)
            {
                case Features.WithAnnotations:
                    str.Append("featureAnnotations.png");
                    break;
                case Features.WithAxis:
                    str.Append("featureAxis.png");
                    break;
                case Features.WithCursor:
                    str.Append("featureCursors.png");
                    break;
                case Features.WithDualAxis:
                    str.Append("featureDualAxis.png");
                    break;
                case Features.WithLogAxis:
                    str.Append("featureLogAxis.png");
                    break;
                case Features.Mvvm:
                    str.Append("featureMvvm.png");
                    break;
                case Features.New:
                    str.Append("featureNew.png");
                    break;
                case Features.WithQuadAxis:
                    str.Append("featureQuadAxis.png");
                    break;
                case Features.Realtime:
                    str.Append("featureRealtime.png");
                    break;            
                case Features.XamlStyling:
                    str.Append("featureXamlStyling.png");
                    break;
                case Features.WithZoom:
                    str.Append("featureZoomingAndPanning.png");
                    break;
            }

            return str.ToString();
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
