﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace Abt.Controls.SciChart.Example.Common
{
    public class FeatureToolTipConverter: IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null) 
                return "";

            var feature = (Features)value;

            var str = new StringBuilder();

            switch (feature)
            {
                case Features.WithAnnotations:
                    str.Append("With Annotations");
                    break;
                case Features.WithAxis:
                    str.Append("Customization of Axis");
                    break;
                case Features.WithCursor:
                    str.Append("Uses Cursors & Hit-Testing");
                    break;
                case Features.WithDualAxis:
                    str.Append("With Dual Axis");
                    break;
                case Features.WithLogAxis:
                    str.Append("With Logarithmic Axis");
                    break;
                case Features.Mvvm:
                    str.Append("Uses MVVM Databinding");
                    break;
                case Features.New:
                    str.Append("New in this version!");
                    break;
                case Features.WithQuadAxis:
                    str.Append("Uses Quad Axis");
                    break;
                case Features.Realtime:
                    str.Append("Real-time Example");
                    break;
                case Features.XamlStyling:
                    str.Append("Xaml Styling and Themeing");
                    break;
                case Features.WithZoom:
                    str.Append("Uses Zooming, Panning and Chart Interaction");
                    break;
            }

            return str.ToString();
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
