﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace Abt.Controls.SciChart.Example.Common
{
    public class NullToVisibilityConverter : IValueConverter
    {
        private const string InvertionFlag = "INVERSE";

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var stringParam = parameter as string;
            var inverse = string.Equals(stringParam, InvertionFlag, StringComparison.InvariantCultureIgnoreCase);

            var onNull = inverse ? Visibility.Visible : Visibility.Collapsed;
            var onValue = inverse ? Visibility.Collapsed : Visibility.Visible;

            return value == null ? onNull : onValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}