﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace Abt.Controls.SciChart.Example.Common
{
    public class RandomBackgroundConverter : IValueConverter
    {
        private readonly Random _rand = new Random();
        private static readonly string[] _backgrounds = new[]
                                                          {
                                                              "Resources/Images/Backgrounds/BlackSteel.jpg",
                                                              "Resources/Images/Backgrounds/ECG.jpg",
                                                              "Resources/Images/Backgrounds/Oscilloscope.jpg",
                                                              "Resources/Images/Backgrounds/PerfDemo.jpg",
                                                              "Resources/Images/Backgrounds/SpecAnalyzer.jpg",
                                                          };

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string background = _backgrounds[_rand.Next(0, 5)];
            return new BitmapImage(new Uri(AppConstants.ResourcePath + background, UriKind.RelativeOrAbsolute));
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
