﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Abt.Controls.SciChart.Example.Common
{
    public class ToValidDateTimeConverter : IValueConverter
    {
        public DateRange XVisibleRange { get; set; }

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (XVisibleRange == null) return value;

            return ValidateDate(value, parameter);
        }

        private object ValidateDate(object value, object parameter)
        {
            var newDate = (DateTime) value;
            switch (parameter.ToString())
            {
                case "Max":
                    if (XVisibleRange.Min >= newDate)
                    {
                        newDate = XVisibleRange.Max;
                    }
                    break;
                case "Min":
                    if (XVisibleRange.Max <= newDate)
                    {
                        newDate = XVisibleRange.Min;
                    }
                    break;
            }
            return newDate;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null) return null;

            return ValidateDate(value, parameter);
        }
    }
}