﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Abt.Controls.SciChart.Example.Data;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.AnnotateAChart
{
    /// <summary>
    /// Interaction logic for InteractionWithAnnotations.xaml
    /// </summary>
    public partial class InteractionWithAnnotations : UserControl
    {
        public InteractionWithAnnotations()
        {
            InitializeComponent();
        }

        void InteractionWithAnnotationsLoaded(object sender, RoutedEventArgs e)
        {
            var dataset = new DataSeriesSet<DateTime, double>();
            var series = dataset.AddSeries<OhlcDataSeries<DateTime, double>>();

            var marketDataService = new MarketDataService(DateTime.Now, 5, 5);
            var data = marketDataService.GetHistoricalData(200);
            series.Append(data.Select(x => x.DateTime), data.Select(x => x.Open), data.Select(x => x.High), data.Select(x => x.Low), data.Select(x => x.Close));
            sciChart.DataSet = dataset;
        }
    }
}
