﻿using System;
using System.Windows;
using System.Windows.Controls;
using Abt.Controls.SciChart.Example.Common;
using Abt.Controls.SciChart.Example.Data;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateMultiseriesChart
{
    public partial class CandlestickWithLinesView : UserControl
    {
        public CandlestickWithLinesView()
        {
            InitializeComponent();
        }

        private void CandlesticksWithLines_Loaded(object sender, RoutedEventArgs e)
        {
            // Create a dataset of type x=DateTime, y=Double
            var dataSeriesSet = new DataSeriesSet<DateTime, double>();
            sciChart.DataSet = dataSeriesSet;

            // Add a data series
            var dataSeries0 = dataSeriesSet.AddSeries<OhlcDataSeries<DateTime, double>>();
            var dataSeries1 = dataSeriesSet.AddSeries();
            var dataSeries2 = dataSeriesSet.AddSeries();
            var dataSeries3 = dataSeriesSet.AddSeries();

            // Prices are in the format Time, Open, High, Low, Close (all IList)
            var prices = DataManager.Instance.GetPriceData(Instrument.Indu.Value, TimeFrame.Daily);            

            // Append data to series. 
            // First series is rendered as a Candlestick Chart so we append OHLC data
            dataSeries0.Append(prices.TimeData, prices.OpenData, prices.HighData, prices.LowData, prices.CloseData);

            // Subsequent series append moving average of the close prices
            dataSeries1.Append(prices.TimeData, DataManager.Instance.ComputeMovingAverage(prices.CloseData, 100));
            dataSeries2.Append(prices.TimeData, DataManager.Instance.ComputeMovingAverage(prices.CloseData, 50));
            dataSeries3.Append(prices.TimeData, DataManager.Instance.ComputeMovingAverage(prices.CloseData, 20));
            
            sciChart.ZoomExtents();
        }
    }
}
