﻿using System.Windows;
using System.Windows.Controls;
using Abt.Controls.SciChart.Example.Data;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateMultiseriesChart
{
    public partial class MultipleLinesView : UserControl
    {
        public MultipleLinesView()
        {
            InitializeComponent();

            cboGetLegendFor.Items.Add(GetLegendDataFor.AllSeries);
            cboGetLegendFor.Items.Add(GetLegendDataFor.AllVisibleSeries);

            cboGetLegendFor.SelectedItem = GetLegendDataFor.AllSeries;
        }

        private void MultipleLinesView_OnLoaded(object sender, RoutedEventArgs e)
        {
            // Create a dataset of type X=double, Y=double
            var dataSeriesSet = new DataSeriesSet<double, double>();
            sciChart.DataSet = dataSeriesSet;

            // Add a data series
            var dataSeries0 = dataSeriesSet.AddSeries();
            dataSeries0.SeriesName = "Curve A";
            var dataSeries1 = dataSeriesSet.AddSeries();
            dataSeries1.SeriesName = "Curve B";
            var dataSeries2 = dataSeriesSet.AddSeries();
            dataSeries2.SeriesName = "Curve C";

            var data1 = DataManager.Instance.GetStraightLine(1000, 1.0, 60);
            var data2 = DataManager.Instance.GetStraightLine(2000, 1.0, 60);
            var data3 = DataManager.Instance.GetStraightLine(3000, 1.0, 60);

            // Append data to series.
            dataSeries0.Append(data1.XData, data1.YData);
            dataSeries1.Append(data2.XData, data2.YData);
            dataSeries2.Append(data3.XData, data3.YData);

            // Zoom to extents of the data
            sciChart.ZoomExtents();
        }

        private void CboGetLegendFor_OnSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (legendModifier != null)
            {
                legendModifier.GetLegendDataFor = (GetLegendDataFor)cboGetLegendFor.SelectedItem;
                sciChart.InvalidateElement();
            }
        }

        private void ShowVisibleCheckboxesChecked(object sender, RoutedEventArgs e)
        {
            if (legendControl != null)
            {
                legendControl.ShowVisibilityCheckboxes = ((CheckBox) sender).IsChecked == true;
            }
        }
    }
}
