﻿using System;
using System.Timers;
using System.Windows.Controls;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateRealtimeChart
{
    public partial class RealTimeCursors : UserControl, IExampleAware
    {
        private Timer _timer;
        private readonly Random _random = new Random();
        private double _index;
        private IXyDataSeries<double, double> _dataSeries;

        public RealTimeCursors()
        {
            InitializeComponent();
        }

        private void TimerTick(object sender, EventArgs e)
        {
            // Ensure only one tick at the same time
            lock (this)
            {
                _dataSeries.Append(_index, _random.NextDouble());
                _index++;
            }
        }

        #region Implementation of IExampleAware 

        public void OnExampleEnter()
        {
            var dataset = new DataSeriesSet<double, double>();
            _dataSeries = dataset.AddSeries();
            _dataSeries.SeriesName = "Random Series";
            sciChartSurface.DataSet = dataset;

            _timer = new Timer(100);
            _timer.AutoReset = true;
            _timer.Elapsed += TimerTick;
            _timer.Start();
        }

        public void OnExampleExit()
        {
            if (_timer != null)
            {
                _timer.Stop();
                _timer = null;                
            }

            _index = 0;
            sciChartSurface.DataSet = null;
        }

        #endregion
    }
}
