﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Abt.Controls.SciChart.Example.Common;
using Abt.Controls.SciChart.Example.Data;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateSimpleChart
{
    /// <summary>
    /// Interaction logic for BandSeriesChartExampleView.xaml
    /// </summary>
    public partial class BandSeriesChartExampleView : UserControl
    {
        public BandSeriesChartExampleView()
        {
            InitializeComponent();
        }

        private void BandSeriesChartExampleView_OnLoaded(object sender, RoutedEventArgs e)
        {
            // Create a dataset of type x=DateTime, y=Double
            var dataSeriesSet = new DataSeriesSet<double, double>();
            sciChart.DataSet = dataSeriesSet;

            // Add a data series
            var series = dataSeriesSet.AddSeries<XyyDataSeries<double, double>>();

            // Prices are in the format Time, Open, High, Low, Close (all IList)
            var data = DataManager.Instance.GetDampedSinewave(1.0, 0.01, 1000);
            var moreData = DataManager.Instance.GetDampedSinewave(1.0, 0.005, 1000, 12);

            // Append data to series. SciChart automatically redraws
            series.Append(
                data.XData,
                data.YData, 
                moreData.YData);
        }
    }
}
