﻿using System;
using System.Windows;
using System.Windows.Controls;
using Abt.Controls.SciChart.Example.Common;
using Abt.Controls.SciChart.Example.Data;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateSimpleChart
{
    /// <summary>
    /// Interaction logic for MountainChartExample.xaml
    /// </summary>
    public partial class MountainChartExampleView : UserControl
    {
        public MountainChartExampleView()
        {
            InitializeComponent();
        }

        private void MountainChartExampleView_OnLoaded(object sender, RoutedEventArgs e)
        {
            // Create a dataset of type X=DateTime, Y=double
            var dataSeriesSet = new DataSeriesSet<DateTime, double>();
            sciChart.DataSet = dataSeriesSet;

            // Add a data series
            var series = dataSeriesSet.AddSeries();

            var prices = DataManager.Instance.GetPriceData(Instrument.Indu.Value, TimeFrame.Daily);

            // Append data to series. SciChart automatically redraws
            series.Append(prices.TimeData, prices.CloseData);
        }
    }
}
