﻿using System;
using System.Collections.ObjectModel;
using System.Windows.Input;
using Abt.Controls.SciChart.Example.Data;
using Abt.Controls.SciChart.Example.MVVM;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateStockCharts.MultiPane
{
    public abstract class BaseChartPaneViewModel : BaseViewModel, IChildPane
    {
        private readonly CreateMultiPaneStockChartsViewModel _parentViewModel;
        private readonly ObservableCollection<IChartSeriesViewModel> _chartSeriesViewModels = new ObservableCollection<IChartSeriesViewModel>();
        private string title;
        private string yAxisTextFormatting;

        public BaseChartPaneViewModel(CreateMultiPaneStockChartsViewModel parentViewModel)
        {
            _parentViewModel = parentViewModel;

        }

        public CreateMultiPaneStockChartsViewModel ParentViewModel
        {
            get { return _parentViewModel; }
        }

        public ObservableCollection<IChartSeriesViewModel> ChartSeriesViewModels
        {
            get { return _chartSeriesViewModels; }
        }        

        public string YAxisTextFormatting
        {
            get { return yAxisTextFormatting; }
            set
            {
                if (yAxisTextFormatting == value)
                    return;

                yAxisTextFormatting = value;
                OnPropertyChanged("YAxisTextFormatting");
            }
        }
        
        public string Title
        {
            get { return title; }
            set
            {
                if (title == value) return;

                title = value;
                OnPropertyChanged("Title");
            }
        }

        private bool isFirstChartPane;

        public bool IsFirstChartPane
        {
            get { return isFirstChartPane; }
            set
            {
                if (isFirstChartPane == value)
                    return;

                isFirstChartPane = value;
                OnPropertyChanged("IsFirstChartPane");
            }
        }
        
        
        public void ZoomExtents()
        {
        }

        public ICommand ClosePaneCommand
        {
            get;
            set;
        }
    }
}
