using System;
using System.Linq;
using Abt.Controls.SciChart.Example.Data;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateStockCharts.MultiPane
{
    public class VolumePaneViewModel : BaseChartPaneViewModel
    {
        public VolumePaneViewModel(CreateMultiPaneStockChartsViewModel parentViewModel, PriceSeries prices) : base(parentViewModel)
        {
            var volumePrices = new XyDataSeries<DateTime, double>();
            volumePrices.Append(prices.TimeData, prices.VolumeData.Select(x => (double)x));
            base.ChartSeriesViewModels.Add(new ChartSeriesViewModel(volumePrices, new FastColumnRenderableSeries()));

            YAxisTextFormatting = "###E+0";
        }
    }
}