﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.InspectDatapoints
{
    public partial class RolloverFeedback : UserControl
    {
        public RolloverFeedback()
        {
            InitializeComponent();
            rolloverModes.ItemsSource = Enum.GetNames(typeof(SourceMode));
            rolloverModes.SelectedIndex = 0;

            Loaded += RolloverFeedbackLoaded;
        }

        private void RolloverFeedbackLoaded(object sender, RoutedEventArgs e)
        {
            sciChartSurface.YAxis.GrowBy = new DoubleRange(0.2, 0.2);

            var dataset = new DataSeriesSet<double, double>();
            var seriesA = dataset.AddSeries();
            var seriesB = dataset.AddSeries();
            seriesA.SeriesName = "Sinewave A";
            seriesB.SeriesName = "Sinewave B";

            double count = 100.0;
            double k = 2 * Math.PI / 30.0;
            for (int i = 0; i < (int)count; i++)
            {
                var phi = k * i;
                seriesA.Append(i, (1.0 + i / count) * Math.Sin(phi));
                seriesB.Append(i, (0.5 + i / count) * Math.Sin(phi));
            }

            sciChartSurface.DataSet = dataset;
        }

        private void rolloverModes_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            rolloverModifier.SourceMode = (SourceMode)Enum.Parse(typeof(SourceMode), (string)e.AddedItems[0], true);
        }
    }
}
