﻿using System.Globalization;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.ModifyAxisBehaviour
{
    public class CompatibleDatePicker: DatePicker
    {
        public CompatibleDatePicker()
        {
            this.Loaded+=CompatibleDatePicker_Loaded;
        }

        private void CompatibleDatePicker_Loaded(object sender, RoutedEventArgs e)
        {
            //Getting text block with watermark
            var textBlock = GetChildOfType<TextBlock>(this);

            textBlock.Text = CultureInfo.CurrentCulture.DateTimeFormat.ShortDatePattern;
        }

        private T GetChildOfType<T>(DependencyObject depObj) where T : DependencyObject
        {
            if (depObj == null) return null;

            for (int i = 0; i < VisualTreeHelper.GetChildrenCount(depObj); i++)
            {
                var child = VisualTreeHelper.GetChild(depObj, i);

                var result = (child as T) ?? GetChildOfType<T>(child);
                if (result != null) return result;
            }

            return null;
        }
    }
}
