﻿using System.Windows;
using System.Windows.Controls;
using Abt.Controls.SciChart.Example.Data;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.ModifyAxisBehaviour
{
    public partial class LeftRightYAxes : UserControl
    {
        public LeftRightYAxes()
        {
            InitializeComponent();
        }

        private void LeftRightAxesView_OnLoaded(object sender, RoutedEventArgs e)
        {
            // Create a dataset of type X=double, Y=double
            var dataSeriesSet = new DataSeriesSet<double, double>();
            sciChart.DataSet = dataSeriesSet;

            // Add two data series. These map 1:1 to renderableSeries
            var leftSeries = dataSeriesSet.AddSeries();
            var rightSeries = dataSeriesSet.AddSeries();

            var data1 = DataManager.Instance.GetFourierSeries(1.0, 0.1);
            var data2 = DataManager.Instance.GetDampedSinewave(3.0, 0.005, data1.Count);

            // Append data to series
            leftSeries.Append(data1.XData, data1.YData);
            rightSeries.Append(data2.XData, data2.YData);

            sciChart.ZoomExtents();
        }
    }
}
