﻿using System.Collections.Generic;
using System.Windows.Input;
using Abt.Controls.SciChart.Example.Data;
using Abt.Controls.SciChart.Example.MVVM;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.UseSciChartWithMvvm
{
    public class BindToDataSeriesSetViewModel : BaseViewModel
    {
        private IDataSeriesSet<double, double> _chartData;
        private RandomWalkGenerator _dataSource;

        public BindToDataSeriesSetViewModel()
        {
            // Create a DataSeriesSet
            ChartData = new DataSeriesSet<double, double>();
            var dataSeries0 = ChartData.AddSeries();

            // Create a single data-series
            _dataSource = new RandomWalkGenerator();
            var data = _dataSource.GetRandomWalkSeries(1000);

            // Append data to series.
            dataSeries0.Append(data.XData, data.YData);
        }

        // Databound to via SciChartSurface.DataSet in the view
        public IDataSeriesSet<double, double> ChartData
        {
            get { return _chartData; }
            set 
            { 
                _chartData = value;
                OnPropertyChanged("ChartData");
            }
        }

        public ICommand AppendDataCommand
        {
            get { return new ActionCommand(AppendData); }
        }

        // Called when the AppendDataCommand is invoked via button click on the view
        private void AppendData()
        {
            var dataSeries0 = (IXyDataSeries<double, double>)ChartData[0];

            var newData = _dataSource.GetRandomWalkSeries(50);

            dataSeries0.Append(newData.XData, newData.YData);
        }
    }
}