﻿using System;
using System.Collections.Generic;
using System.Linq;
using Abt.Controls.SciChart.Example.Helpers;
using Abt.Controls.SciChart.Example.MVVM;

namespace Abt.Controls.SciChart.Example
{
    public class GroupedExamplesViewModel: BaseViewModel
    {
        public GroupedExamplesViewModel()
        {
            GroupedExamples = Module.Examples
                    .OrderBy(example => example.ExampleDisplayName)
                    .GroupBy(example =>example.Group)
                    .OrderBy(group => group.Key)
                    .Select(group => new ExampleGroupViewModel
                    {
                        Group = group.Key,
                        Examples = group.Select(example => example).ToArray(),
                    }).ToArray();
        }

        public IEnumerable<ExampleGroupViewModel> GroupedExamples { get; set; }
    }
}
