﻿using System;
using Abt.Controls.SciChart.Example.MVVM;

namespace Abt.Controls.SciChart.Example.Helpers
{
    public class ApplicationPage
    {
        private Type _viewModelType;
        private BaseViewModel _instance;

        static ApplicationPage()
        {
            HomePageId = Guid.NewGuid();
        }

        public ApplicationPage(string viewModel, string view, bool isHome = false)
        {
            string typeName = AppConstants.AssemblyName + viewModel;
            _viewModelType = Type.GetType(typeName);

            Uri = AppConstants.ComponentPath + view;

            PageId = isHome ? HomePageId : Guid.NewGuid();
        }

        public string Uri { get; protected set; }

        public BaseViewModel ViewModel
        {
            get
            {
                if (_instance == null)
                    NewViewModel();

                return _instance;
            }
        }

        public void NewViewModel()
        {
            _instance = _viewModelType != null ? (BaseViewModel)Activator.CreateInstance(_viewModelType) : null;
        }

        public Guid PageId { get; protected set; }

        public static Guid HomePageId { get; protected set; }
    }
}
