﻿using System.Windows;
using System.Windows.Media;

namespace Abt.Controls.SciChart.Example.Helpers
{
    public static class DependencyObjectExtension
    {
        public static T FindChild<T>(this DependencyObject parent) where T : DependencyObject
        {
            var childrenAmount = VisualTreeHelper.GetChildrenCount(parent);

            for (int i = 0; i < childrenAmount; ++i)
            {
                var child = VisualTreeHelper.GetChild(parent, i);

                if (child != null && child.GetType() == typeof(T))
                {
                    return (T)child;
                }

                child = FindChild<T>(child);
                if (child != null) return (T)child;
            }

            return null;
        }
    }
}
