﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Xml;
using System.Xml.Serialization;

namespace Abt.Controls.SciChart.Example.Helpers
{
    static class ExampleFilesGenerator
    {
        private static string _finalPath =
            "D:\\Work\\AbtSoftware\\SciChart\\trunk\\src\\Examples\\Abt.Controls.SciChart.Wpf.Example\\Resources\\ExampleDefinitions\\{0}.xml";

        private static string _desktopPath = "C:\\Users\\Misha\\Desktop\\{0}.xml";

        public static void ExampleDefinitionsFilesGenerator(Example example, ApplicationPage examplePage)
        {
            var writer = new StreamWriter(String.Format(_finalPath, example.ExampleDisplayName));

            var exampleDef = new ExampleDefinition()
            {
                ChartGroup = example.Group,
                ChartTypes = example.UsedChartTypes,
                Description = example.ExampleDescription,
                ExampleImagePath = example.ExampleImagePath,
                IconPath = example.IconPath,
                Title = example.ExampleDisplayName,
                View = examplePage.V,
                ViewModel = examplePage.VM,
                CodeFiles = new List<string>()
            };

            //var assemblyName = "Abt.Controls.SciChart.Example;component/";

            var path = examplePage.V.Replace("Abt.Controls.SciChart.Example;component/", "");

            var index = path.LastIndexOf('/');
            var dirPath = path.Substring(0, index);

            var direct = new DirectoryInfo(dirPath);

            foreach (var file in direct.EnumerateFiles())
            {
                index = file.FullName.LastIndexOf("\\Examples");

                var removed = file.FullName.Remove(0, index);
                removed = removed.Remove(0, 1);
                var replacedSl = removed.Replace('\\', '/');

                exampleDef.CodeFiles.Add(replacedSl);
            }

            exampleDef.CodeFiles.Add(exampleDef.View);

            var str = Serialize(exampleDef);
            writer.WriteLine(str);

            writer.Close();
        }

        private static string Serialize(ExampleDefinition def)
        {
            var serializer = new XmlSerializer(typeof(ExampleDefinition));

            var sb = new StringBuilder();
            var xmlWriter = XmlWriter.Create(sb);

            serializer.Serialize(xmlWriter, def);

            xmlWriter.Close();

            return sb.ToString();
        }
    }
}
