﻿using System.Windows.Controls;
using System.Windows.Interactivity;

namespace Abt.Controls.SciChart.Example.Helpers
{
    public class InvokeSelectCommandAction : TriggerAction<Control>
    {
        protected override void Invoke(object parameter)
        {
            var eventArgs = parameter as SelectionChangedEventArgs;

            if (eventArgs != null)
            {
                var selectedExample = (eventArgs.AddedItems.Count > 0 && eventArgs.RemovedItems.Count == 0 ? eventArgs.AddedItems[0] : null) as ISelectable;

                if (selectedExample != null)
                {
                    selectedExample.SelectCommand.Execute(selectedExample);
                }
            }
        }
    }
}
