// (c) Copyright Microsoft Corporation.
// This source is subject to the Microsoft Public License (Ms-PL).
// Please see http://go.microsoft.com/fwlink/?LinkID=131993 for details.
// All other rights reserved.
// <auto-generated />
// No style analysis for imported project.

namespace CodeHighlighter
{
    /// <summary>
    /// Defines the contract for a code colorizer.
    /// </summary>
    /// <seealso cref="CodeColorizer"/>
    internal interface ICodeColorizer
    {
        /// <summary>
        /// Colorizes source code using the specified language, the default formatter, and the default style sheet.
        /// </summary>
        /// <param name="sourceCode">The source code to colorize.</param>
        /// <param name="language">The language to use to colorize the source code.</param>
        /// <returns>The colorized source code.</returns>
        string Colorize(string sourceCode,
                        ILanguage language);

        /// <summary>
        /// Colorizes source code using the specified language, formatter, and style sheet.
        /// </summary>
        /// <param name="sourceCode">The source code to colorize.</param>
        /// <param name="language">The language to use to colorize the source code.</param>
        /// <param name="formatter">The formatter to use to colorize the source code.</param>
        /// <param name="styleSheet">The style sheet to use to colorize the source code.</param>
        void Colorize(string sourceCode,
                      ILanguage language,
                      IFormatter formatter,
                      IStyleSheet styleSheet);
    }
}