﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.AnnotateAChart
{
    public partial class DatapointMarkersView : UserControl
    {
        public DatapointMarkersView()
        {
            InitializeComponent();
            Loaded += DatapointMarkersViewLoaded;
        }

        private void DatapointMarkersViewLoaded(object sender, RoutedEventArgs e)
        {
            sciChartSurface.YAxis.GrowBy = new DoubleRange(0.2, 0.2);

            var dataset = new DataSeriesSet<double, double>();
            var seriesA = dataset.AddSeries();
            var seriesB = dataset.AddSeries();
            seriesA.SeriesName = "Sinewave A";
            seriesB.SeriesName = "Sinewave B";

            double count = 100.0;
            double k = 2 * Math.PI / 30.0;
            for (int i = 0; i < (int)count; i++)
            {
                var phi = k * i;
                seriesA.Append(i, (1.0 + i / count) * Math.Sin(phi));
                seriesB.Append(i, (0.5 + i / count) * Math.Sin(phi));
            }

            sciChartSurface.DataSet = dataset;
        }
    }
}
