using System.Windows.Media;
using Abt.Controls.SciChart.Example.MVVM;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateRealtimeChart.EEGChannelsDemo
{
    public class EEGChannelViewModel : BaseViewModel
    {
        private readonly int _size;
        private Color _color;
        private IDataSeriesSet<double, double> _channelDataSet;

        public EEGChannelViewModel(int size, Color color)
        {
            _size = size;
            SeriesColor = color;

            ChannelDataSet = new DataSeriesSet<double, double>();         
   
            // Add an empty First In First Out series. When the data reaches capacity (int size) then old samples
            // will be pushed out of the series and new appended to the end. This gives the appearance of 
            // a scrolling chart window
            ChannelDataSet.AddFifoSeries(_size);
        }

        public string ChannelName { get; set; }

        public Color SeriesColor 
        { 
            get { return _color; }
            set 
            { 
                _color = value;
                OnPropertyChanged("SeriesColor");
            }
        }

        public IDataSeriesSet<double, double> ChannelDataSet
        {
            get { return _channelDataSet; }
            set
            {
                _channelDataSet = value;
                OnPropertyChanged("ChannelDataSet");
            }
        }

        public void Reset()
        {            
            for (int i = 0; i < ChannelDataSet.Count; i++)
            {
                ChannelDataSet[i].Clear();
            }            
        }
    }
}