﻿using System;
using System.Windows;
using System.Windows.Controls;
using Abt.Controls.SciChart.Example.Common;
using Abt.Controls.SciChart.Example.Data;

namespace Abt.Controls.SciChart.Example.Examples.IWantTo.CreateSimpleChart
{
    public partial class CandlestickChartExampleView : UserControl
    {
        public CandlestickChartExampleView()
        {
            InitializeComponent();
        }

        private void CandlestickChartExampleView_OnLoaded(object sender, RoutedEventArgs e)
        {
            // Create a dataset of type x=DateTime, y=Double
            var dataSeriesSet = new DataSeriesSet<DateTime, double>();
            sciChart.DataSet = dataSeriesSet;                        

            // Add a data series
            var series = dataSeriesSet.AddSeries<OhlcDataSeries<DateTime, double>>();

            // Prices are in the format Time, Open, High, Low, Close (all IList)
            var prices = DataManager.Instance.GetPriceData(Instrument.Indu.Value, TimeFrame.Daily);            
            
            // Append data to series. SciChart automatically redraws
            series.Append(
                prices.TimeData, 
                prices.OpenData, 
                prices.HighData, 
                prices.LowData, 
                prices.CloseData);
        }
    }
}
