﻿using System;
using System.Windows;
using System.Windows.Media;
using Abt.Controls.SciChart;

namespace SimpleLineChart
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            // On zooming to extents, grow the Y Axis by 20% above and below the data min,max
            sciChartSurface.YAxis.GrowBy = new DoubleRange(0.2, 0.2);

            var dataset = new DataSeriesSet<double, double>();
            var seriesA = dataset.AddSeries();
            var seriesB = dataset.AddSeries();

            // The series name will be databound to via the RolloverModifier in the xaml file
            seriesA.SeriesName ="Sinewave A";            
            seriesB.SeriesName = "Sinewave B";

            for(int i = 0; i < 1000; i++)
            {
                var phi = 2*Math.PI*i/300.0;
                seriesA.Append(i, (1.0 + i/1000.0) * Math.Sin(phi));
                seriesB.Append(i, (0.5 + i / 1000.0) * Math.Sin(phi));
            }

            sciChartSurface.DataSet = dataset;
        }
    }
}