﻿using System;
using System.Windows.Controls;
using Abt.Controls.SciChart;

namespace ScreenshotsAndXpsExport
{
    public partial class ChartView : UserControl
    {
        public ChartView()
        {
            InitializeComponent();

            this.Loaded += ScreenshotControl_Loaded;
        }

        void ScreenshotControl_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            // Add a bit of bling. If IsAnimatedOnLoad is true, we set an initial visible range, then animate the
            // visible range to the desired value over a timeframe of 1 second
            if (IsAnimatedOnLoad)
            {
                this.sciChart.YAxis.VisibleRange = new DoubleRange(0, 100);
                this.sciChart.XAxis.VisibleRange = new DoubleRange(2.0, 2.5);

                this.sciChart.YAxis.AnimateVisibleRangeTo(new DoubleRange(0, 10), TimeSpan.FromSeconds(1));
                this.sciChart.XAxis.AnimateVisibleRangeTo(new DoubleRange(-0.5, 4.5), TimeSpan.FromSeconds(1.5));
            }
        }

        public SciChartSurface SciChartSurface { get { return this.sciChart; }}

        public bool IsAnimatedOnLoad { get; set; }
    }
}
